<?php
/**
* Enqueue scripts and styles
*
* @package BoldWP WordPress Theme
* @copyright Copyright (C) 2025 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function boldwp_scripts() {
    wp_enqueue_style('boldwp-maincss', get_stylesheet_uri(), array(), null);
    wp_enqueue_style('fontawesome', get_template_directory_uri() . '/assets/css/all.min.css', array(), null );
    wp_enqueue_style('boldwp-webfont', '//fonts.googleapis.com/css?family=Playfair+Display:400,400i,700,700i|Domine:400,700|Oswald:400,700|Patua+One|Roboto+Condensed:400,400i,700,700i&amp;display=swap', array(), null);

    $boldwp_primary_menu_active = false;
    if ( !boldwp_get_option('disable_primary_menu') ) {
        $boldwp_primary_menu_active = true;
    }
    $boldwp_secondary_menu_active = false;
    if ( !boldwp_get_option('disable_secondary_menu') ) {
        $boldwp_secondary_menu_active = true;
    }

    $boldwp_sticky_menu_active = true;
    $boldwp_sticky_mobile_menu_active = true;
    if ( !boldwp_get_option('enable_sticky_mobile_menu') ) {
        $boldwp_sticky_mobile_menu_active = false;
    }

    $boldwp_primary_mobile_menu_active = true;
    $boldwp_secondary_mobile_menu_active = true;

    $boldwp_sticky_sidebar_active = true;
    if ( is_page_template( array( 'template-full-width-page.php', 'template-full-width-post.php' ) ) ) {
       $boldwp_sticky_sidebar_active = false;
    }
    if ( is_404() ) {
        $boldwp_sticky_sidebar_active = false;
    }
    if ( $boldwp_sticky_sidebar_active ) {
        wp_enqueue_script('ResizeSensor', get_template_directory_uri() .'/assets/js/ResizeSensor.min.js', array( 'jquery' ), null, true);
        wp_enqueue_script('theia-sticky-sidebar', get_template_directory_uri() .'/assets/js/theia-sticky-sidebar.min.js', array( 'jquery' ), null, true);
    }

    $boldwp_fitvids_active = false;
    if ( boldwp_is_fitvids_active() ) {
        $boldwp_fitvids_active = true;
    }
    if ( $boldwp_fitvids_active ) {
        wp_enqueue_script('fitvids', get_template_directory_uri() .'/assets/js/jquery.fitvids.min.js', array( 'jquery' ), null, true);
    }

    wp_enqueue_script('boldwp-navigation', get_template_directory_uri() . '/assets/js/navigation.js', array(), null, true );
    wp_enqueue_script('boldwp-skip-link-focus-fix', get_template_directory_uri() . '/assets/js/skip-link-focus-fix.js', array(), null, true );
    wp_enqueue_script('boldwp-customjs', get_template_directory_uri() .'/assets/js/custom.js', array( 'jquery' ), null, true);
    wp_localize_script( 'boldwp-customjs', 'boldwp_ajax_object',
        array(
            'ajaxurl' => esc_url_raw( admin_url( 'admin-ajax.php' ) ),
            'primary_menu_active' => $boldwp_primary_menu_active,
            'secondary_menu_active' => $boldwp_secondary_menu_active,
            'sticky_menu_active' => $boldwp_sticky_menu_active,
            'sticky_mobile_menu_active' => $boldwp_sticky_mobile_menu_active,
            'primary_mobile_menu_active' => $boldwp_primary_mobile_menu_active,
            'secondary_mobile_menu_active' => $boldwp_secondary_mobile_menu_active,
            'sticky_sidebar_active' => $boldwp_sticky_sidebar_active,
            'fitvids_active' => $boldwp_fitvids_active,
        )
    );

    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
        wp_enqueue_script( 'comment-reply' );
    }
}
add_action( 'wp_enqueue_scripts', 'boldwp_scripts' );

/**
 * Enqueue customizer styles.
 */
function boldwp_enqueue_customizer_styles() {
    wp_enqueue_style( 'boldwp-customizer-styles', get_template_directory_uri() . '/inc/admin/css/customizer-style.css', array(), null );
    wp_enqueue_style('fontawesome', get_template_directory_uri() . '/assets/css/all.min.css', array(), null );
}
add_action( 'customize_controls_enqueue_scripts', 'boldwp_enqueue_customizer_styles' );